package configgui.java.model.cells;

import javafx.geometry.Pos;
import javafx.scene.layout.GridPane;
import javafx.scene.paint.Color;
import javafx.scene.text.Text;

import java.text.SimpleDateFormat;
import java.util.*;

//XXX @author CS
public class ExceptionInformationCell {
	private GridPane detailsPane;
	private Exception excep;

	public ExceptionInformationCell(Exception excep) {
		this.excep = excep;
		detailsPane = new GridPane();
		detailsPane.setAlignment(Pos.CENTER_LEFT);
		detailsPane.setHgap(8);
		Text timeText = new Text();
		timeText.setFill(Color.RED);
		Date currentTime = new Date();
		currentTime.setTime(System.currentTimeMillis());
		SimpleDateFormat sdf = new SimpleDateFormat("[YY/MM/dd - HH:mm:ss]");
		timeText.setText(sdf.format(currentTime));
		Text excepText = new Text(excep.getMessage());
		excepText.setText(excep.getMessage());
		detailsPane.add(timeText, 0, 0);
		detailsPane.add(excepText, 1, 0);
	}

	public GridPane getDetailsPane() {
		return detailsPane;
	}

	public Exception getException() {
		return excep;
	}
}
