package configgui.java.util;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

import configgui.java.Rcc;

public class BpiUtil {

	public static String timeconvert_us(long raw_us) {
		long offset = 0;
		try {
			offset = Long.parseLong(Rcc.configuration.getConfigEntry("timeepochoffset[ms]"));
		} catch (Exception e) {
			offset = 0;
		}
		DateFormat simple = new SimpleDateFormat("dd MMM yyyy HH:mm:ss:SSS");
		Date result = new Date((raw_us + offset) / 1000);
		return String.format("%s%03d", simple.format(result), (raw_us % 1000));
	}
}
