/*
 * FabanSimLib.h
 *
 *  Created on: 10.06.2020
 *      Author: valentin
 */

#ifndef FABANSIMLIB_H_
#define FABANSIMLIB_H_

#include <omnetpp.h>

uint32_t rotateSignatureLeft(uint32_t sig);
uint32_t rotateSignatureRight(uint32_t sig);
uint32_t rotateSignatureLeft(uint32_t sig, uint8_t bits);
uint32_t rotateSignatureRight(uint32_t sig, uint8_t bits);
uint32_t oddMultiplication(uint32_t x, uint32_t y);
uint32_t calculateOddMulSignature(uint32_t crc, uint32_t sgnKeyP);
bool validationOddMulSignature(uint32_t crc, uint32_t r, uint32_t q, uint32_t u);

#endif /* FABANSIMLIB_H_ */
