/*
 * EtherTypes.h
 *
 *      Author: Valentin Fitz
 *   Institute: University of Duisburg-Essen, Germany
 */

#ifndef PROTOCOLS_ETHERTYPES_H_
#define PROTOCOLS_ETHERTYPES_H_

#define ETH_TYPE_DEMO 0x0000
#define ETH_TYPE_DISCOVERY_REQUEST 0xefbe
#define ETH_TYPE_DISCOVERY_RESPONSE 0xbefe
#define ETH_TYPE_PROTOPROTOCOL 0x3412
#define ETH_TYPE_SRTT 0xfeca
#define ETH_TYPE_ARTT 0xedfe
#define ETH_TYPE_FABAN 0xfab0
#define ETH_TYPE_FABAN_INIT 0xfaba
#define ETH_TYPE_FABAN_H0 0xfab0
#define ETH_TYPE_FABAN_H1 0xfab1
#define ETH_TYPE_FABAN_H2 0xfab2
#define ETH_TYPE_BAPPAP 0xdeb0
#define ETH_TYPE_BAPPAP_RESPONSE 0xdeb1
#define ETH_TYPE_ACK 0x0ac0

#endif /* PROTOCOLS_ETHERTYPES_H_ */
