/*
 * FIInputHandler.cpp
 *
 *  Created on: Mar 5, 2019
 *      Author: jubuntu
 */

#include "../Protocols/ProtocolLogic.h"
#include "FIInputHandler.h"
#include "FIProtocolLogic.h"


FIInputHandler::FIInputHandler(){
	// Add FI specific commands to the list of known commands
	commandListFI.push_back("fi_jn_bf");
	commandListFI.push_back("fi_jn_wf");
	commandListFI.push_back("fi_jn_duplication");
	commandListFI.push_back("fi_jn_omissionPercentage");
	commandListFI.push_back("fi_jn_byzantineBehavior");
	commandListFI.push_back("fi_jn_crashPercentage");
	commandListFI.push_back("fi_jn_crashedFalse");
	commandListFI.push_back("fi_jn_delay");
	commandListFI.push_back("fi_jn_output");
}

FIInputHandler::~FIInputHandler(){

}

void FIInputHandler::handleCommandFI(char* cmdIn){
	std::string input(cmdIn);
	std::string command = bpiSplitIntoItems(input, ' ').at(0);

	for (auto s : commandListFI) {
		if (command.compare(s) == 0) {
			protocol->controlInput(input);
			return;
		}
	}
	handleCommand(cmdIn);
}
