/*
 * FIPort.cpp
 *
 *  Created on: Mar 5, 2019
 *      Author: jubuntu
 */

#include "FIPort.h"
#include <random>
#include <chrono>
#include <thread>
using namespace std;




	// #### currently is the FIPort not used to inject Errors ####


FIPort::FIPort(int i, ProtocolLogic* logic) :
		Port(i, logic) {
	bpiout << "Fault Injection included in Port " << i << endl;
}

FIPort::~FIPort() {
}
bool FIPort::_handleIncomingPaketFI(EthernetMessage* msg) {
	//Manipulation of incoming EthernetMessage can be performed here on a Port specific basis
	return _handleIncomingPaket(msg);
}


bool FIPort::_handleOutgoingPaketFI(EthernetMessage* msg) {
	//Manipulation of outgoing EthernetMessage can be performed here on a Port specific basis
	return _handleOutgoingPaket(msg);
}





