#ifndef SRC_DEMOLOGIC_H_
#define SRC_DEMOLOGIC_H_

#include <Protocols/ProtocolLogic.h>
#include <Protocols/Port.h>
#include <chrono>

class CustomLogic: public ProtocolLogic {
protected:
	Port* _createPort(int i);
	void _executeProtocolLogic();
	void _handleControlMessage(std::string cmdId, std::string cmd);
	char _bc_mac[6] = { (char) 255, (char) 255, (char) 255, (char) 255, (char) 255, (char) 255 };

	int rxTotal = 0;
	double duration = -1;
	long totalsize = 0;
	Timer timer;
	bool out = false;

public:
	CustomLogic();
	virtual ~CustomLogic();
};

#endif /* SRC_DEMOLOGIC_H_ */
