#include "FaultyContentGeneratorInputHandler.h"

#include "FaultyContentGeneratorLogic.h"

FaultyContentGeneratorInputHandler::FaultyContentGeneratorInputHandler() {
	protocol = new FaultyContentGeneratorLogic();

}

void FaultyContentGeneratorInputHandler::handleCommand(char* cmdIn) {
	std::string input(cmdIn);
	if (strncmp("sendrandomfabanmessage", input.c_str(), 22) == 0) {
		protocol->controlInput(input);
	} else if (strncmp("setdist", input.c_str(), 7) == 0) {
		protocol->controlInput(input);
	} else if (strncmp("setpfab", input.c_str(), 7) == 0) {
		protocol->controlInput(input);
	} else if (strncmp("start", input.c_str(), 5) == 0) {
		protocol->controlInput(input);
	}else if (strncmp("stop", input.c_str(), 4) == 0) {
		protocol->controlInput(input);
	}else {
		bpierr << "Unknown command: \"" << input << "\"" << std::endl;
	}
}

FaultyContentGeneratorInputHandler::~FaultyContentGeneratorInputHandler() {
}

