package topology;

public  class DirectedLink extends Link {

	public DirectedLink(Component a, Component b) {
		this.a = a;
		this.b = b;
	}

	public boolean isTarget(Component t) {
		if (b == t)
			return true;
		else
			return false;
	}

	public Component getConnectedComponent(Component t) {
		if (t == a)
			return b;
		return null;
	}

	@Override
	public String toString() {
		return (a.name + " => " + b.name);
	}
}
