package topology;

public class UndirectedLink extends Link {

	public UndirectedLink(Component a, Component b) {
		this.a = a;
		this.b = b;
	}

	public boolean isTarget(Component t) {
		if (a == t || b == t)
			return true;
		else
			return false;
	}

	public Component getConnectedComponent(Component t) {
		if (t == a)
			return b;
		if (t == b)
			return a;
		return null;
	}
}
