/*
 * configgui_java_time_TimeC.cpp
 *
 *  Created on: Jan 22, 2020
 *      Author: jubuntu
 */

#include <jni.h>
#include "configgui_java_time_TimeC.h"
#include <time.h>


JNIEXPORT jlongArray JNICALL Java_configgui_java_time_TimeC_gettingCTime
  (JNIEnv *env, jobject){
	timespec ts;
	jlongArray ret = env->NewLongArray(2);
	long temp[2];
	clock_gettime(CLOCK_REALTIME , &ts);
	temp[0] = ts.tv_sec;
	temp[1] = ts.tv_nsec;
	env->SetLongArrayRegion(ret, 0, 2, temp);
	return ret;
}


