/*
 * UdpListener.h
 *
 *  Created on: Jul 6, 2018
 *      Author: valentin
 */

#ifndef UDPCONNECTOR_H_
#define UDPCONNECTOR_H_

#include "LocalBpiLib.h"
#include "TcpInterface.h"
#include <unistd.h>
#include <sys/socket.h>
#include <arpa/inet.h>

class UdpConnector {
public:
	UdpConnector(TcpInterface* tcpIntfce);
	virtual ~UdpConnector();

	void enterConnectionLoop();
private:
	struct sockaddr_in _saUdp, _saServer;
	int _UdpSocket = -1;
	int _Buffersize = 500;
	int _UdpPort = 8888;
	char* _UdpBuffer = nullptr;
	TcpInterface* _tcpIntfce;

	void _InitializeUdpListener();
	void _WaitForConnectionRequest();
	void _ConnectToConfigTool();
};

#endif /* UDPCONNECTOR_H_ */
