#include "DiscoveryInputHandler.h"
#include "DiscoveryLogic.h"

DiscoveryInputHandler::DiscoveryInputHandler() {
	protocol = new DiscoveryLogic();

}

void DiscoveryInputHandler::handleCommand(char* cmdIn) {
	std::string input(cmdIn);
	if (strncmp("discover", input.c_str(), 8) == 0) {
		protocol->controlInput(input);
	} else {
		bpierr << "Unknown command: \"" << input << "\"" << std::endl;
	}
}

DiscoveryInputHandler::~DiscoveryInputHandler() {
}

