#include <iostream>
#include "LocalBpiLib.h"
#include "DiscoveryInputHandler.h"
#include <GlobalBpiLib.hpp>

int main(int argc, char** argv){
	bpiSetName(NAME);
//	if (argc > 1) {
//		if (strcmp(argv[1], "--version") == 0) {
//			std::cout << __DATE__ << " " << __TIME__ << std::endl;
//			return 0;
//		} else {
//			std::cout << "unknown Parameter: " << argv[1] << std::endl;
//			return 0;
//		}
//	}

	if (argc >= 2) {
			long long int timepoint = std::stoull(argv[1]);
			getLocalClock()->set(timepoint);
		}

	setvbuf(stdout, NULL, _IOLBF, 0);
	setvbuf(stderr, NULL, _IOLBF, 0);
	DiscoveryInputHandler inHandler;
	inHandler.runLoop();

	return 0;
}
