//============================================================================
// Name        : Echo.cpp
// Author      : VF
// Version     :
// Copyright   : Your copyright notice
// Description : Hello World in C++, Ansi-style
//============================================================================

#include <iostream>
#include <string.h>

#include "GlobalBpiLib.hpp"

using namespace std;

int main(int argc, char* argv[]) {
	bpiSetName("ECHO");

	if (argc >= 2) {
		long long int timepoint = std::stoull(argv[1]);
		getLocalClock()->set(timepoint);
	}

	BpiOutStream bpiout(cout);
	setvbuf(stdout, NULL, _IOLBF, 0);
	bpiout << "EchoProtocol started" << endl;
	string s = "";
	while (readInputFromStdin(&s)) {
		for (int i = 0; i < 100; i++) {
			if (i % 2 == 0)
				bpiout << "\\" << endl;
			else
				bpiout << "/" << endl;

		}
	}
	return 0;
}
