#ifndef SRC_FABANPORT_H_
#define SRC_FABANPORT_H_

#include "fi_jn/FIPort.h"
#include "Protocols/MessageTypes.h"

class FabanPort: public FIPort {
public:
	FabanPort(int i, ProtocolLogic* logic);
	virtual ~FabanPort();
	void setMaskD(uint32_t dmask);
	void setMaskC(uint32_t cmask);

private:
	uint32_t _dmask, _cmask;

	bool _handleIncomingPaket(EthernetMessage* msg);
	bool _handleOutgoingPaket(EthernetMessage* msg);
	EthernetMessage* _rotateSignatureLeft(EthernetMessage* msg);
};

#endif /* SRC_FABANPORT_H_ */
