#include <iostream>
#include <string.h>
#include <pcap.h>

#include "FabanInputHandler.h"
#include "LocalBpiLib.h"

using namespace std;

int main(int argc, char* argv[]) {
	bpiSetName(NAME);

	if (argc >= 2) {
		long long int timepoint = std::stoull(argv[1]);
		getLocalClock()->set(timepoint);
	}

	setvbuf(stdout, NULL, _IOLBF, 0);
	setvbuf(stderr, NULL, _IOLBF, 0);

	FabanInputHandler inHandler;
	inHandler.runLoop();

	return 0;
}
