#ifndef SRC_FAULTYCONTENTGENERATORLOGIC_H_
#define SRC_FAULTYCONTENTGENERATORLOGIC_H_

#include <Protocols/ProtocolLogic.h>
#include <chrono>
#include <string>

class FaultyContentGeneratorLogic: public ProtocolLogic {
protected:
	void _executeProtocolLogic();
	void _handleControlMessage(std::string, std::string);
	std::string cmdId;
	char _bc_mac[6] = { (char) 255, (char) 255, (char) 255, (char) 255, (char) 255, (char) 255 };

	double _mu;
	double _sigma;
	double _pfab;
	bool _active;

	static void* _senderThreadEntryFunction(void* This);
	void _senderThreadTask();
	void _sendFabanMessage();
public:
	FaultyContentGeneratorLogic();
	virtual ~FaultyContentGeneratorLogic();
};

#endif /* SRC_FAULTYCONTENTGENERATORLOGIC_H_ */
